Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 163407 - media-video/ffmpeg-0.4.9_p20061016 no longer compiles ffplay w/ USE=sdl
Summary: media-video/ffmpeg-0.4.9_p20061016 no longer compiles ffplay w/ USE=sdl
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-23 09:16 UTC by ta2002
Modified: 2008-10-15 01:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ta2002 2007-01-23 09:16:50 UTC
After upgrading from ffmpeg-0.4.9_p20060530 to ffmpeg-0.4.9_p20061016, I no longer have ffplay. Re-emerging it still did not give me ffplay.

I have the emerge log (492772 bytes) available upon request.

$ emerge -p --info
Portage 2.1.1-r2 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r4, 2.6.18-gentoo-r6 i686)
=================================================================
System uname: 2.6.18-gentoo-r6 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Gentoo Base System version 1.12.6
Last Sync: Mon, 22 Jan 2007 20:00:01 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.31
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.14
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=pentium4 -O2 -pipe -fomit-frame-pointer -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_NZ.UTF-8"
LINGUAS="en ru"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/portage/local/layman/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X aac aalib acpi alsa alsa_cards_ali5451 alsa_cards_als4000 alsa_cards_atiixp alsa_cards_atiixp-modem alsa_cards_bt87x alsa_cards_ca0106 alsa_cards_cmipci alsa_cards_emu10k1x alsa_cards_ens1370 alsa_cards_ens1371 alsa_cards_es1938 alsa_cards_es1968 alsa_cards_fm801 alsa_cards_hda-intel alsa_cards_intel8x0 alsa_cards_intel8x0m alsa_cards_maestro3 alsa_cards_trident alsa_cards_usb-audio alsa_cards_via82xx alsa_cards_via82xx-modem alsa_cards_ymfpci alsa_pcm_plugins_adpcm alsa_pcm_plugins_alaw alsa_pcm_plugins_asym alsa_pcm_plugins_copy alsa_pcm_plugins_dmix alsa_pcm_plugins_dshare alsa_pcm_plugins_dsnoop alsa_pcm_plugins_empty alsa_pcm_plugins_extplug alsa_pcm_plugins_file alsa_pcm_plugins_hooks alsa_pcm_plugins_iec958 alsa_pcm_plugins_ioplug alsa_pcm_plugins_ladspa alsa_pcm_plugins_lfloat alsa_pcm_plugins_linear alsa_pcm_plugins_meter alsa_pcm_plugins_mulaw alsa_pcm_plugins_multi alsa_pcm_plugins_null alsa_pcm_plugins_plug alsa_pcm_plugins_rate alsa_pcm_plugins_route alsa_pcm_plugins_share alsa_pcm_plugins_shm alsa_pcm_plugins_softvol arts audiofile berkdb bitmap-fonts bzip2 caps cdparanoia cdr cjk cracklib crypt css cups dbus dga directfb dlloader dri dvd dvdr dvdread elibc_glibc encode exif expat fam fbcon ffmpeg flac gcj ggi gif glibc-omitfp gmp gphoto2 gpm gstreamer hal iconv idea imagemagick imap imlib input_devices_keyboard input_devices_mouse ipv6 javascript jbig joystick jpeg kde kernel_linux lcd_devices_bayrad lcd_devices_cfontz lcd_devices_cfontz633 lcd_devices_glk lcd_devices_hd44780 lcd_devices_lb216 lcd_devices_lcdm001 lcd_devices_mtxorb lcd_devices_ncurses lcd_devices_text lcms libcaca libwww linguas_en linguas_ru live lm_sensors mad matroska mbox memlimit mmx mng mp3 mpeg mysql nas ncurses network nls no-old-linux nodrm nptl nptlonly ogg opengl pcre pdf pdflib perl png qt3 quicktime readline real rtc samba scanner sdl silc sndfile speex spell sse sse2 ssl stream sysfs tcpd theora threads tiff timidity truetype truetype-fonts type1-fonts unicode usb userland_GNU userlocales utf8 vcd video_cards_radeon video_cards_vesa vorbis win32codecs xinerama xml xorg xv xvid zlib zrtp"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 ebfe 2007-01-23 15:33:01 UTC
not a bug. works for me. may depend on your useflags

[ebuild   R   ] media-video/ffmpeg-0.4.9_p20061016  USE="a52 aac dts encode mmx ogg oss sdl truetype vorbis x264 xvid zlib (-altivec) -amr -debug -doc -ieee1394 -imlib -network -test -theora -threads -v4l" 1,962 kB

[ Searching for file(s) ffplay in *... ]
media-video/ffmpeg-0.4.9_p20061016 (/usr/bin/ffplay)
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2007-01-23 20:33:52 UTC
reopen with emerge -pv media-video/ffmpeg output...
Comment 3 ta2002 2007-01-23 21:13:10 UTC
(In reply to comment #2)
> reopen with emerge -pv media-video/ffmpeg output...

Sure. :)

$ emerge -pv media-video/ffmpeg

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-video/ffmpeg-0.4.9_p20061016  USE="aac encode imlib mmx network ogg sdl theora threads truetype vorbis xvid zlib -a52 (-altivec) -amr -debug -doc -dts -ieee1394 -oss -test -v4l -x264" 0 kB

Total size of downloads: 0 kB

I have sdl (I think the important one).
Comment 4 ebfe 2007-01-23 22:02:26 UTC
post emerge -pv libsdl right on the way. ffplay used to include some nasty sdl depencencies. you got X useflag enabled?



[ebuild   R   ] media-libs/libsdl-1.2.11  USE="X alsa arts opengl oss xv -aalib -dga -directfb -esd -fbcon -ggi -libcaca -nas -noaudio -noflagstrip -nojoystick -novideo -svga -xinerama" 2,730 kB
Comment 5 ta2002 2007-01-24 00:14:15 UTC
(In reply to comment #4)
> post emerge -pv libsdl right on the way.

$ emerge -pv libsdl

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-libs/libsdl-1.2.11  USE="X aalib alsa arts dga directfb fbcon ggi libcaca nas opengl xinerama xv -esd -noaudio -noflagstrip -nojoystick -novideo -oss -svga" 0 kB

Total size of downloads: 0 kB

> ffplay used to include some nasty sdl depencencies. you got X useflag enabled?

Yes, although I do disable it on some other packages.
Comment 6 Alexis Ballier gentoo-dev 2008-10-14 09:23:24 UTC
please try with a newer version; I have ffplay here :/ it may be some problems with libsdl useflags also
Comment 7 ta2002 2008-10-15 01:11:10 UTC
It's there now. :)

I had completely forgotten about this, and didn't even notice which build of ffmpeg brought ffplay back.

Thanks.